<mat-grid-tile-header >
        
    <div class="div-mgt-header">
        <h2>
        Neue Organisation gründen
            <span style="margin-left: 52%; background-color: aquamarine;">
                <button mat-raised-button color="primary" [routerLink]="['/organisation']">Andere Organisationen ansehen</button>
            </span>
        </h2>
    </div>

</mat-grid-tile-header>

<div class="body-div10">
    
    <!-- Überschriften-->

    <mat-grid-list cols = "2" rowHeight = "40px">   
        <mat-grid-tile [colspan] = "1" [rowspan] = "1"> 
            <h2>Eingabe:</h2>
        </mat-grid-tile>
        <mat-grid-tile [colspan] = "1" [rowspan] = "1"> 
            <h2>Vorschau:</h2>
        </mat-grid-tile>
    </mat-grid-list>

<mat-grid-list cols = "2" rowHeight = "420px">
    
    <!-- Vergrößerung des Formulars in der Tile gestaltet sich schwierig // Auslesen der "textarea" klappt nicht-->
    <mat-grid-tile [colspan] = "1" [rowspan] = "1">  
        
        <form [formGroup]="form">
        
        <!--
        <div class="custom-file" style="margin-top: 20px; margin-bottom: 20px;">
            <input name="myImage" type="file" [(ngModel)]="orgaPicture" class="custom-file-input" id="customFile">
            <label class="custom-file-label" for="customFile">Bild auswählen</label>
        </div>
        -->

        <div class="form-group">
            <input formControlName="orgaName"
            id="orgaName"  type="text" [(ngModel)]="orgaName" class="form-control" placeholder="Name" required>
            <div *ngIf="f.orgaName.touched && f.orgaName.invalid" class="alert alert-danger">
                <div *ngIf="f.orgaName.errors.required">Name wird benötigt.</div>
                <div *ngIf="f.orgaName.errors.minlength">Name ist zu kurz.</div>
            </div>
        </div>

        <!-- Kurzbeschreibung raus
        <div class="form-group" >
            <input formControlName="orgaDescription" id="orgaDescription"  type="text" [(ngModel)]="orgaDescription"  class="form-control" placeholder="Kurzbeschreibung" required>
            <div *ngIf="f.orgaDescription.touched && f.orgaDescription.invalid" class="alert alert-danger">
                <div *ngIf="f.orgaDescription.errors.required">Beschreibung wird benötigt.</div>
                <div *ngIf="f.orgaDescription.errors.minlength">Beschreibung ist zu kurz.</div>
            </div>
        </div>-->
        

        <div class="form-group">
            <textarea  formControlName="orgaDescription" id="orgaDescription" type="text" [(ngModel)]="orgaDescription" class="form-control"  rows="4" placeholder="Beschreibung" required></textarea>
            <div *ngIf="f.orgaDescription.touched && f.orgaDescription.invalid" class="alert alert-danger">

                <div *ngIf="f.orgaDescription.errors.required">Bitte beschreiben Sie Ihre Organisation.</div>
                <div *ngIf="f.orgaDescription.errors.minlength">Beschreibung ist zu kurz.</div>

            </div>
        </div>

        <span>
        <button mat-raised-button color="primary" type="submit" (click)="submit()">Neue Organisation gründen</button>
        <button mat-raised-button  [routerLink]="['/home']" color="primary" type="reset" class="btn btn-primary" style="margin-left: 20px;">Zurück</button>
        </span>    
        </form>

   
    </mat-grid-tile>

    <mat-grid-tile [colspan] = "1" [rowspan] = "1">  
        <!--One mat-card contains:-->
        <mat-card class="orga-card" fxFlex="1 1 calc(20% - 20px)" fxLayout="column">     
            <img mat-card-image src="https://upload.wikimedia.org/wikipedia/commons/8/8d/Neu_bandlogo.svg">
            <mat-card-content >
                <mat-card-title fxLayoutAlign="center center">{{ orgaName }}</mat-card-title>
                <p>{{orgaDescription}} </p>
            </mat-card-content>
            <mat-card-actions fxFlexAlign="center">
                <button mat-raised-button  color="primary" matBadge="8" matBadgePosition="before" matBadgeColor="accent" >
                    So wird Ihre Organisation aussehen 
                </button>
            </mat-card-actions>
        </mat-card>  
    </mat-grid-tile>
</mat-grid-list>
</div>